- Home
- About
- Testimonials
- Demos
- Download
- Documentation
- Blogs
- Forum
- Support

Packages:
default
System
System.Caching
System.Collections
System.Data
System.Data.ActiveRecord
System.Data.ActiveRecord.Relations
System.Data.ActiveRecord.Scaffold
System.Data.ActiveReecord.Scaffold.InputBuilder
System.Data.Commom.Sqlite
System.Data.Common
System.Data.Common.Mssql
System.Data.Common.Mysql
System.Data.Common.Oracle
System.Data.Common.Pgsql
System.Data.Common.Sqlite
System.Data.DataGateway
System.Data.SqlMap
System.Data.SqlMap.Configuration
System.Data.SqlMap.Statements
System.Exceptions
System.I18N
System.IO
System.Security
System.Util
System.Web
System.Web.Services
System.Web.UI
System.Web.UI.ActiveControls
System.Web.UI.WebControls
System.Web.UI.WebControls.assets
System.Xml
Classes:
IDataSource
IItemDataRenderer
IRepeatInfoUser
TActiveFileUpload
TBaseDataList
TBaseValidator
TBoundColumn
TBulletedList
TBulletedListDisplayMode
TBulletedListEventParameter
TBulletStyle
TButton
TButtonColumn
TButtonColumnType
TButtonType
TCaptcha
TCaptchaValidator
TCheckBox
TCheckBoxColumn
TCheckBoxList
TCircleHotSpot
TClientScript
TClientScriptLoader
TClientSideValidationSummaryOptions
TColorPicker
TColorPickerClientSide
TColorPickerMode
TCompareValidator
TCompleteWizardStep
TConditional
TContent
TContentDirection
TContentPlaceHolder
TCustomValidator
TDataBoundControl
TDataGrid
TDataGridColumn
TDataGridColumnCollection
TDataGridCommandEventParameter
TDataGridItem
TDataGridItemCollection
TDataGridItemEventParameter
TDataGridItemRenderer
TDataGridPageChangedEventParameter
TDataGridPager
TDataGridPagerButtonType
TDataGridPagerEventParameter
TDataGridPagerMode
TDataGridPagerPosition
TDataGridPagerStyle
TDataGridSortCommandEventParameter
TDataList
TDataListCommandEventParameter
TDataListItem
TDataListItemCollection
TDataListItemEventParameter
TDataListItemRenderer
TDataRenderer
TDataSourceControl
TDataSourceSelectParameters
TDataSourceView
TDataTypeValidator
TDatePicker
TDatePickerClientScript
TDatePickerInputMode
TDatePickerMode
TDatePickerPositionMode
TDisplayStyle
TDraggable
TDropContainer
TDropDownList
TDropDownListColumn
TEditCommandColumn
TEmailAddressValidator
TExpression
TFileUpload
TFont
THiddenField
THorizontalAlign
THotSpot
THotSpotCollection
THotSpotMode
THtmlArea
THtmlElement
THyperLink
THyperLinkColumn
TImage
TImageButton
TImageClickEventParameter
TImageMap
TImageMapEventParameter
TInlineFrame
TInlineFrameAlign
TInlineFrameScrollBars
TItemDataRenderer
TJavascriptLogger
TKeyboard
TLabel
TLinkButton
TListBox
TListControl
TListControlValidator
TListItem
TListItemCollection
TListItemType
TListSelectionMode
TLiteral
TLiteralColumn
TMarkdown
TMetaTag
TMetaTagCollection
TMultiView
TOutputCache
TOutputCacheCalculateKeyEventParameter
TOutputCacheCheckDependencyEventParameter
TPager
TPagerButtonType
TPagerMode
TPagerPageChangedEventParameter
TPanel
TPanelStyle
TPlaceHolder
TPolygonHotSpot
TRadioButton
TRadioButtonList
TRangeValidationDataType
TRangeValidator
TRatingList
TReadOnlyDataSource
TReadOnlyDataSourceView
TRectangleHotSpot
TRegularExpressionValidator
TRepeatDirection
TRepeater
TRepeaterCommandEventParameter
TRepeaterItem
TRepeaterItemCollection
TRepeaterItemEventParameter
TRepeaterItemRenderer
TRepeatInfo
TRepeatLayout
TRequiredFieldValidator
TSafeHtml
TScrollBars
TServerValidateEventParameter
TSlider
TSliderClientScript
TSliderDirection
TStatements
TStyle
TStyleSheet
TTable
TTableCaptionAlign
TTableCell
TTableCellCollection
TTableFooterRow
TTableGridLines
TTableHeaderCell
TTableHeaderRow
TTableHeaderScope
TTableItemStyle
TTableRow
TTableRowCollection
TTableRowSection
TTableStyle
TTabPanel
TTabView
TTabViewCollection
TTemplateColumn
TTemplatedWizardStep
TTextAlign
TTextBox
TTextBoxAutoCompleteType
TTextBoxMode
TTextHighlighter
TTextHighlighterLineNumberStyle
TValidationCompareOperator
TValidationDataType
TValidationSummary
TValidationSummaryDisplayMode
TValidationSummaryDisplayStyle
TValidatorClientSide
TValidatorDisplayStyle
TVerticalAlign
TView
TViewCollection
TWebControl
TWebControlAdapter
TWizard
TWizardFinishNavigationTemplate
TWizardNavigationButtonStyle
TWizardNavigationButtonType
TWizardNavigationContainer
TWizardNavigationEventParameter
TWizardNavigationTemplate
TWizardSideBarListItemTemplate
TWizardSideBarTemplate
TWizardStartNavigationTemplate
TWizardStep
TWizardStepCollection
TWizardStepNavigationTemplate
TWizardStepType
TXmlTransform

Keyword

# Class THotSpot

    TComponent
       |
       --THotSpot

#### Direct Known Sub-classes:

TCircleHotSpot , TRectangleHotSpot , TPolygonHotSpot

THotSpot class.

THotSpot implements the basic functionality common to all hot spot shapes. Derived classes include TCircleHotSpot, TPolygonHotSpot and TRectangleHotSpot.

Since: 3.0
Author: Qiang Xue <qiang.xue@gmail.com>

Method Summary
string | getAccessKey ()
string | getAlternateText ()
string | getAttribute ( mixed $name)
TAttributeCollection | getAttributes () Returns the list of custom attributes.
boolean | getCausesValidation ()
abstract string | getCoordinates ()
boolean | getHasAttributes ()
THotSpotMode | getHotSpotMode ()
string | getNavigateUrl ()
string | getPostBackValue ()
abstract string | getShape ()
integer | getTabIndex ()
string | getTarget ()
string | getValidationGroup ()
protected mixed | getViewState ( string $key, mixed $defaultValue) Returns a viewstate value.
boolean | hasAttribute ( mixed $name)
string | removeAttribute ( string $name) Removes the named attribute.
void | render ( THtmlWriter $writer) Renders this hotspot.
void | setAccessKey ( string $value)
void | setAlternateText ( string $value)
void | setAttribute ( string $name, string $value) Sets a custom hotspot attribute.
void | setCausesValidation ( boolean $value)
void | setHotSpotMode ( THotSpotMode $value)
void | setNavigateUrl ( string $value)
void | setPostBackValue ( string $value)
void | setTabIndex ( integer $value)
void | setTarget ( string $value)
void | setValidationGroup ( string $value)
protected void | setViewState ( string $key, mixed $value, mixed $defaultValue) Sets a viewstate value.

Methods Inherited From TComponent

TComponent::addParsedObject(), TComponent::attachEventHandler(), TComponent::canGetProperty(), TComponent::canSetProperty(), TComponent::createdOnTemplate(), TComponent::detachEventHandler(), TComponent::evaluateExpression(), TComponent::evaluateStatements(), TComponent::getEventHandlers(), TComponent::getSubProperty(), TComponent::hasEvent(), TComponent::hasEventHandler(), TComponent::hasProperty(), TComponent::raiseEvent(), TComponent::setSubProperty(), TComponent::__get(), TComponent::__set()

Method Details

## getAccessKey

public string getAccessKey | ()

Output
string | the access key that allows you to quickly navigate to the HotSpot region. Defaults to ''.
Exception

## getAlternateText

public string getAlternateText | ()

Output
string | the alternate text to display for a HotSpot object. Defaults to ''.
Exception

## getAttribute

public string getAttribute | (mixed $name )

Input
mixed | $name |
Output
string | attribute value, null if attribute does not exist
Exception

## getAttributes

public TAttributeCollection getAttributes | ()

Returns the list of custom attributes.

Custom attributes are name-value pairs that may be rendered as HTML tags' attributes.

Output
TAttributeCollection | the list of custom attributes
Exception

## getCausesValidation

public boolean getCausesValidation | ()

Output
boolean | whether postback event trigger by this hotspot will cause input validation, default is true
Exception

## getCoordinates

public abstract string getCoordinates | ()

Output
string | coordinates defining the hotspot shape.
Exception

## getHasAttributes

public boolean getHasAttributes | ()

Output
boolean | whether the hotspot has custom attributes
Exception

## getHotSpotMode

public THotSpotMode getHotSpotMode | ()

Output
THotSpotMode | the behavior of a HotSpot object when it is clicked. Defaults to THotSpotMode::NotSet.
Exception

## getNavigateUrl

public string getNavigateUrl | ()

Output
string | the URL to navigate to when a HotSpot object is clicked. Defaults to ''.
Exception

## getPostBackValue

public string getPostBackValue | ()

Output
string | a value that is post back when the HotSpot is clicked. Defaults to ''.
Exception

## getShape

public abstract string getShape | ()

Output
string | shape of the hotspot, can be 'circle', 'rect', 'poly', etc.
Exception

## getTabIndex

public integer getTabIndex | ()

Output
integer | the tab index of the HotSpot region. Defaults to 0.
Exception

## getTarget

public string getTarget | ()

Output
string | the target window or frame to display the new page when the HotSpot region is clicked. Defaults to ''.
Exception

## getValidationGroup

public string getValidationGroup | ()

Output
string | the group of validators which the hotspot causes validation upon postback
Exception

## getViewState

protected mixed getViewState | (string $key , mixed $defaultValue )

Returns a viewstate value.

This function is very useful in defining getter functions for component properties that must be kept in viewstate.

Input
string | $key | the name of the viewstate value to be returned
mixed | $defaultValue | the default value. If $key is not found in viewstate, $defaultValue will be returned
Output
mixed | the viewstate value corresponding to $key
Exception

## hasAttribute

public boolean hasAttribute | (mixed $name )

Input
mixed | $name |
Output
boolean | whether the named attribute exists
Exception

## removeAttribute

public string removeAttribute | (string $name )

Removes the named attribute.

Input
string | $name | the name of the attribute to be removed.
Output
string | attribute value removed, null if attribute does not exist.
Exception

## render

public void render | (THtmlWriter $writer )

Renders this hotspot.

Input
THtmlWriter | $writer |
Output
Exception

## setAccessKey

public void setAccessKey | (string $value )

Input
string | $value | the access key that allows you to quickly navigate to the HotSpot region.
Output
Exception

## setAlternateText

public void setAlternateText | (string $value )

Input
string | $value | the alternate text to display for a HotSpot object.
Output
Exception

## setAttribute

public void setAttribute | (string $name , string $value )

Sets a custom hotspot attribute.

Input
string | $name | attribute name
string | $value | value of the attribute
Output
Exception

## setCausesValidation

public void setCausesValidation | (boolean $value )

Input
boolean | $value | whether postback event trigger by this hotspot will cause input validation
Output
Exception

## setHotSpotMode

public void setHotSpotMode | (THotSpotMode $value )

Input
THotSpotMode | $value | the behavior of a HotSpot object when it is clicked.
Output
Exception

## setNavigateUrl

public void setNavigateUrl | (string $value )

Input
string | $value | the URL to navigate to when a HotSpot object is clicked.
Output
Exception

## setPostBackValue

public void setPostBackValue | (string $value )

Input
string | $value | a value that is post back when the HotSpot is clicked.
Output
Exception

## setTabIndex

public void setTabIndex | (integer $value )

Input
integer | $value | the tab index of the HotSpot region.
Output
Exception

## setTarget

public void setTarget | (string $value )

Input
string | $value | the target window or frame to display the new page when the HotSpot region is clicked.
Output
Exception

## setValidationGroup

public void setValidationGroup | (string $value )

Input
string | $value | the group of validators which the hotspot causes validation upon postback
Output
Exception

## setViewState

protected void setViewState | (string $key , mixed $value , mixed $defaultValue )

Sets a viewstate value.

This function is very useful in defining setter functions for control properties that must be kept in viewstate. Make sure that the viewstate value must be serializable and unserializable.

Input
string | $key | the name of the viewstate value
mixed | $value | the viewstate value to be set
mixed | $defaultValue | default value. If $value===$defaultValue, the item will be cleared from the viewstate.
Output
Exception